Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 336985 - net-im/prosody does not respect LDFLAGS
Summary: net-im/prosody does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Dirkjan Ochtman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-12 19:05 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-05-02 16:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (prosody-0.6.2:20100911-172329.log,6.46 KB, text/plain)
2010-09-12 19:05 UTC, Diego Elio Pettenò (RETIRED)
Details
prosody-0.7.0-flags.patch (prosody-0.7.0-flags.patch,683 bytes, patch)
2011-03-30 13:46 UTC, René 'Necoro' Neumann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-12 19:05:33 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-12 19:05:48 UTC
Created attachment 247044 [details]
Build log
Comment 2 René 'Necoro' Neumann 2011-03-30 13:46:35 UTC
Created attachment 267807 [details, diff]
prosody-0.7.0-flags.patch

Neither does it honor CFLAGS. With this patch the ebuild passes LDFLAGS and CFLAGS down to the configure script.

Note that I needed to explicitly set options ("-shared" for LDFLAGS, "-Wall -fPIC" for CFLAGS), as they are used as passed in. So these flags might need some adjustments depending on the platform (I used the defaults I normally call sane).
Comment 3 Dirkjan Ochtman gentoo-dev 2011-05-02 16:56:24 UTC
This has been fixed in prosody-0.8.0.